#include<bits/stdc++.h>
using namespace std;

int main(){
	int n, x;
	cin >> n;
	cin >> x;

	vector <int> vec;
	
	vec.push_back(x);
	x = vec[0];
	
	for(int i = 1; i < n; i++){
		cin >> x;
		vec.push_back(x);
	}
	
	int y;
	cin >> y;
	vec.push_back(x);
	y = vec[0];
	
	for(int j = 1; j < n; j++){
		cin >> y;
		vec.push_back(y);
	}
	
	int z;
	cin >> z;
	vec.push_back(z);
	z = vec[0];
	
	for(int v = 1; v < n; v++){
		cin >> z;
		vec.push_back(z);
	}
	
	
	cout << 12;
	
}